package com.rjconsultores.ventaboletos.enums;

public enum TipoEmail {

	CALL_CENTER(1, "Call Center"),
	ECOMMERCE(2, "E-Commerce"),
	;

	private Integer id;
	private String descricao;

	private TipoEmail(Integer id, String descricao) {
		this.descricao = descricao;
		this.id = id;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public static TipoEmail buscarPorId(Integer id) {
		for (TipoEmail ids : TipoEmail.values()) {
			if (ids.getId() == id) {
				return ids;
			}
		}
		return null;
	}

	@Override
	public String toString() {
		return descricao;
	}

}
